<?php
/**
* Layouts Settings.
*
* @package Cobber
*/

$cobber_default = cobber_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'layout_setting',
	array(
	'title'      => esc_html__( 'Archive Settings', 'cobber' ),
	'priority'   => 60,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Archive Layout.
$wp_customize->add_setting(
    'cobber_archive_layout',
    array(
        'default' 			=> $cobber_default['cobber_archive_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'cobber_sanitize_archive_layout'
    )
);
$wp_customize->add_control(
    new Cobber_Custom_Radio_Image_Control( 
        $wp_customize,
        'cobber_archive_layout',
        array(
            'settings'      => 'cobber_archive_layout',
            'section'       => 'layout_setting',
            'label'         => esc_html__( 'Layout Setting', 'cobber' ),
            'choices'       => array(
            	'default'  => get_template_directory_uri() . '/assets/images/archive-style-1.png',
                'lateral'  => get_template_directory_uri() . '/assets/images/archive-style-2.png',
                'metro'  => get_template_directory_uri() . '/assets/images/archive-style-3.png',
                'masonry'  => get_template_directory_uri() . '/assets/images/archive-style-4.png',
            )
        )
    )
);
